% autor: kaneda
% grafic practica 6
% titol: valors de 2y en funcio de x^2+y^2

\documentclass{standalone}

\usepackage{pgfplots}
\usepackage{pgfplotstable}
\pgfplotsset{compat = newest}

\begin{document}

\begin{tikzpicture}
\begin{axis}[
    width = \textwidth,
    height = \textwidth,
    xlabel={\Large $2y$ (m)},
    ylabel={\Large $x^2+y^2$ (m$^2$)},
    scaled y ticks = base 10:2,
    scaled x ticks = base 10:2,
    legend cell align = {left},
    legend pos=north west
 ]

% plot data
\addplot[
    teal,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit,
] table[x=2y, y=x2y2, y error=error1, x error=error2]{2kvfixe.dat};

\addplot[
    green!50!gray,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit,
] table[x=2y, y=x2y2, y error=error1, x error=error2]{3kvfixe.dat};

\addplot[
    brown,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=2y, y=x2y2, y error=error1, x error=error2]{4kvfixe.dat};

\addplot[
    orange,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    x dir=both,
    y explicit,
    x explicit
] table[x=2y, y=x2y2, y error=error1, x error=error2]{5kvfixe.dat};

% linear regressions
\addplot[
    teal!50
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {2kvfixe.dat};

\addplot[
    green!50!gray!50
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {3kvfixe.dat};

\addplot[
    brown
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {4kvfixe.dat};

\addplot[
    orange
] table[
    x = 2y,
    y = {create col/linear regression={y=x2y2}}
] {5kvfixe.dat};

% add legend
\addlegendentry{\Large $V_p=2$ kV}
\addlegendentry{\Large $V_p=3$ kV}
\addlegendentry{\Large $V_p=4$ kV}
\addlegendentry{\Large $V_p=5$ kV};

\end{axis}
\end{tikzpicture}

\end{document}
